package cn.com.ctop.track.controller;

import cn.com.ctop.track.util.RedisUtil;
import cn.com.ctop.track.utils.Check;
import com.alibaba.fastjson.JSONObject;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;

@Controller
@RequestMapping("/jdCallback")
public class JingDongCpaController {
    private static Logger logger = Logger.getLogger(JingDongCpaController.class);
    @Autowired
    private RedisUtil redisUtil;




    // 老链接 屏蔽5
    @RequestMapping(value = "/click")
    @ResponseBody
    public JSONObject click(HttpServletRequest request,
                            HttpServletResponse response) {
        logger.info("点击回调数据：" + request.getQueryString());
        JSONObject returnJson = new JSONObject();
        String queryString = request.getQueryString();
        if (Check.isNull(queryString)) {
            returnJson.put("code", 200);
            returnJson.put("message", "SUCCESS");
            return returnJson;
        }
        try {
            String cid = request.getParameter("cid");    //客户后台账户ID
            if (Check.isNull(cid)) {
                returnJson.put("code", 200);
                returnJson.put("message", "SUCCESS");
                return returnJson;
            }
            JSONObject paramJson = new JSONObject();
            String callback = request.getParameter("callback");
            paramJson.put("callback", callback);
            String accountId = request.getParameter("p1");
            paramJson.put("accountId", accountId);
            redisUtil.add(cid, paramJson, 3, TimeUnit.DAYS);
            returnJson.put("code", 200);
            returnJson.put("message", "SUCCESS");
        } catch (Exception e) {
            returnJson.put("code", 500);
            returnJson.put("success", false);
            returnJson.put("result", e.getMessage());
        }
        return returnJson;
    }


    @RequestMapping(value = "/action")
    @ResponseBody
    public JSONObject action(HttpServletRequest request,
                            HttpServletResponse response) {
        logger.info("行为回调数据：" + request.getQueryString());
        JSONObject returnJson = new JSONObject();
        String queryString = request.getQueryString();
        if (Check.isNull(queryString)) {
            returnJson.put("code", 200);
            returnJson.put("message", "SUCCESS");
            return returnJson;
        }
        try {

            returnJson.put("code", 200);
            returnJson.put("message", "SUCCESS");
        } catch (Exception e) {
            returnJson.put("code", 500);
            returnJson.put("success", false);
            returnJson.put("result", e.getMessage());
        }
        return returnJson;
    }


}
